Bug 1050928 - (CVE-2014-0011) CVE-2014-0011 tigervnc: ZRLE decoding heap-based buffer overflow in vncviewer
CVE-2014-0011 tigervnc: ZRLE decoding heap-based buffer overflow in vncviewer
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140319,repor...
: Security
Depends On: 1048994 1074555 1078508
Blocks: 1050929
  Show dependency treegraph
 
Reported: 2014-01-09 06:24 EST by Ratul Gupta
Modified: 2016-03-04 06:41 EST (History)
6 users (show)

See Also:
Fixed In Version: tigervnc 1.3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-19 16:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
tigervnc-CVE-2014-0011.patch (Fedora/master) (1.72 KB, patch)
2014-02-04 12:28 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Ratul Gupta 2014-01-09 06:24:08 EST
A heap-based buffer overflow was found in the way vncviewer rendered certain screen images from a vnc server. If a user could be tricked into connecting to a malicious vnc server, it may cause the vncviewer to crash, or could possibly execute arbitrary code with the permissions of the user running it.
Comment 14 Tomas Hoger 2014-03-11 11:56:58 EDT
This issue was tracked to an issue in the ZRLE_DECODE() function which perform RLE decoding.  The function already contained boundary checks inside assert().  Those checks were, however, disabled in builds with NDEBUG, such as tigervnc packages in Fedora.

The tigervnc packages in Red Hat Enterprise Linux 6, and the vnc packages in Red Hat Enterprise Linux 5, were not built with NDEBUG and have those checks enabled.  Therefore, they are not affected by this issue.

Tim Waugh prepared a patch that:
- replaces relevant asserts with explicit checks that raise exception
- changing build configuration to not use NDEBUG

Patch is attached as attachment 859269 [details]
Comment 15 Tomas Hoger 2014-03-19 13:16:16 EDT
The issue is now fixed upstream in TigerVNC 1.3.1:
http://sourceforge.net/p/tigervnc/mailman/message/32120476/

Upstream commits (applying patch mentioned in commnet 14):
http://sourceforge.net/p/tigervnc/code/5163
http://sourceforge.net/p/tigervnc/code/5164
Comment 17 Tomas Hoger 2014-03-19 15:34:41 EDT
Statement:

Not vulnerable. This issue did not affect the tigervnc packages as shipped with Red Hat Enterprise Linux 6, and the vnc packages as shipped with Red Hat Enterprise Linux 5.
Comment 18 Fedora Update System 2014-03-24 02:41:32 EDT
tigervnc-1.3.0-14.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2014-04-05 00:56:37 EDT
tigervnc-1.3.0-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.